import React from 'react';
import type { CSSProperties, HTMLAttributes, SVGProps } from 'react';
type StyleWithVariable<V extends string = never> = CSSProperties & Partial<Record<V, string>>;
export interface IconBaseProps extends Omit<HTMLAttributes<HTMLSpanElement>, 'style'> {
    spin?: boolean;
    spinReverse?: boolean;
    svgProps?: SVGProps<SVGSVGElement>;
    style?: StyleWithVariable<'--doly-icon-font-size' | '--doly-icon-color' | '--doly-icon-spin-duration'>;
}
declare const IconBase: React.ForwardRefExoticComponent<IconBaseProps & React.RefAttributes<HTMLSpanElement>>;
export default IconBase;
